SpeculativeRetryParam.Kind (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Enum SpeculativeRetryParam.Kind

- java.lang.Object
- - java.lang.Enum<SpeculativeRetryParam.Kind>
  - - org.apache.cassandra.schema.SpeculativeRetryParam.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SpeculativeRetryParam.Kind>
  Enclosing class:
    SpeculativeRetryParam

      public static enum SpeculativeRetryParam.Kind
      extends java.lang.Enum<SpeculativeRetryParam.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS`
    `CUSTOM`
    `NONE`
    `PERCENTILE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpeculativeRetryParam.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SpeculativeRetryParam.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SpeculativeRetryParam.Kind NONE

    - #### CUSTOM

          public static final SpeculativeRetryParam.Kind CUSTOM

    - #### PERCENTILE

          public static final SpeculativeRetryParam.Kind PERCENTILE

    - #### ALWAYS

          public static final SpeculativeRetryParam.Kind ALWAYS

  - ### Method Detail

    - #### values

          public static SpeculativeRetryParam.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpeculativeRetryParam.Kind c : SpeculativeRetryParam.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpeculativeRetryParam.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation